关于安装cocoapods的问题

iOS 码拜 4年前 (2017-05-06) 850次浏览
关于安装cocoapods的问题
本人安装cocoapods并在已有的项目里面使用, 为什么这里frameworks 只有一个呢  正常应该有好几个呢啊    哪位高手遇到过呢 。多谢多谢。
解决方案

20

除非你pod的那个库(例如你的AMap3DMap)的podspec中明确指定了它自身依赖的库,否则是不会自动添加的。
例如Masonry的podspec文件中第30行,声明了ios平台中对UIKit的依赖
[Masonry Podspec]https://github.com/SnapKit/Masonry/blob/master/Masonry.podspec[/url]

s.ios.frameworks = "Foundation", "UIKit"

则pod install后,会自动添加这两个依赖
详情请见podspec的语法指南
[Podspec syntax]https://guides.cocoapods.org/syntax/podspec.html[/url]

20

1、你标注的地方只显示cocopods导入第三方时候必须的系统依赖库,不会显示导入的第三方的
2、假如导入第三方报错的话,可能这个第三方依赖了哪个系统库,但是作者没有在上传cocopods的时候加入

CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明关于安装cocoapods的问题
喜欢 (0)
[1034331897@qq.com]
分享 (0)